/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2021 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.evaicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Evaicons implements Ikon {
    ACTIVITY("eva-activity", '\ue901'),
    ACTIVITY_OUTLINE("eva-activity-outline", '\ue900'),
    ALERT_CIRCLE("eva-alert-circle", '\ue903'),
    ALERT_CIRCLE_OUTLINE("eva-alert-circle-outline", '\ue902'),
    ALERT_TRIANGLE("eva-alert-triangle", '\ue905'),
    ALERT_TRIANGLE_OUTLINE("eva-alert-triangle-outline", '\ue904'),
    ARCHIVE("eva-archive", '\ue907'),
    ARCHIVE_OUTLINE("eva-archive-outline", '\ue906'),
    ARROWHEAD_DOWN("eva-arrowhead-down", '\ue929'),
    ARROWHEAD_DOWN_OUTLINE("eva-arrowhead-down-outline", '\ue928'),
    ARROWHEAD_LEFT("eva-arrowhead-left", '\ue92b'),
    ARROWHEAD_LEFT_OUTLINE("eva-arrowhead-left-outline", '\ue92a'),
    ARROWHEAD_RIGHT("eva-arrowhead-right", '\ue92d'),
    ARROWHEAD_RIGHT_OUTLINE("eva-arrowhead-right-outline", '\ue92c'),
    ARROWHEAD_UP("eva-arrowhead-up", '\ue92f'),
    ARROWHEAD_UP_OUTLINE("eva-arrowhead-up-outline", '\ue92e'),
    ARROW_BACK("eva-arrow-back", '\ue909'),
    ARROW_BACK_OUTLINE("eva-arrow-back-outline", '\ue908'),
    ARROW_CIRCLE_DOWN("eva-arrow-circle-down", '\ue90b'),
    ARROW_CIRCLE_DOWN_OUTLINE("eva-arrow-circle-down-outline", '\ue90a'),
    ARROW_CIRCLE_LEFT("eva-arrow-circle-left", '\ue90d'),
    ARROW_CIRCLE_LEFT_OUTLINE("eva-arrow-circle-left-outline", '\ue90c'),
    ARROW_CIRCLE_RIGHT("eva-arrow-circle-right", '\ue90f'),
    ARROW_CIRCLE_RIGHT_OUTLINE("eva-arrow-circle-right-outline", '\ue90e'),
    ARROW_CIRCLE_UP("eva-arrow-circle-up", '\ue911'),
    ARROW_CIRCLE_UP_OUTLINE("eva-arrow-circle-up-outline", '\ue910'),
    ARROW_DOWN("eva-arrow-down", '\ue913'),
    ARROW_DOWNWARD("eva-arrow-downward", '\ue915'),
    ARROW_DOWNWARD_OUTLINE("eva-arrow-downward-outline", '\ue914'),
    ARROW_DOWN_OUTLINE("eva-arrow-down-outline", '\ue912'),
    ARROW_FORWARD("eva-arrow-forward", '\ue917'),
    ARROW_FORWARD_OUTLINE("eva-arrow-forward-outline", '\ue916'),
    ARROW_IOS_BACK("eva-arrow-ios-back", '\ue919'),
    ARROW_IOS_BACK_OUTLINE("eva-arrow-ios-back-outline", '\ue918'),
    ARROW_IOS_DOWNWARD("eva-arrow-ios-downward", '\ue91b'),
    ARROW_IOS_DOWNWARD_OUTLINE("eva-arrow-ios-downward-outline", '\ue91a'),
    ARROW_IOS_FORWARD("eva-arrow-ios-forward", '\ue91d'),
    ARROW_IOS_FORWARD_OUTLINE("eva-arrow-ios-forward-outline", '\ue91c'),
    ARROW_IOS_UPWARD("eva-arrow-ios-upward", '\ue91f'),
    ARROW_IOS_UPWARD_OUTLINE("eva-arrow-ios-upward-outline", '\ue91e'),
    ARROW_LEFT("eva-arrow-left", '\ue921'),
    ARROW_LEFT_OUTLINE("eva-arrow-left-outline", '\ue920'),
    ARROW_RIGHT("eva-arrow-right", '\ue923'),
    ARROW_RIGHT_OUTLINE("eva-arrow-right-outline", '\ue922'),
    ARROW_UP("eva-arrow-up", '\ue925'),
    ARROW_UPWARD("eva-arrow-upward", '\ue927'),
    ARROW_UPWARD_OUTLINE("eva-arrow-upward-outline", '\ue926'),
    ARROW_UP_OUTLINE("eva-arrow-up-outline", '\ue924'),
    AT("eva-at", '\ue931'),
    ATTACH("eva-attach", '\ue935'),
    ATTACH_2("eva-attach-2", '\ue933'),
    ATTACH_2_OUTLINE("eva-attach-2-outline", '\ue932'),
    ATTACH_OUTLINE("eva-attach-outline", '\ue934'),
    AT_OUTLINE("eva-at-outline", '\ue930'),
    AWARD("eva-award", '\ue937'),
    AWARD_OUTLINE("eva-award-outline", '\ue936'),
    BACKSPACE("eva-backspace", '\ue939'),
    BACKSPACE_OUTLINE("eva-backspace-outline", '\ue938'),
    BAR_CHART("eva-bar-chart", '\ue93d'),
    BAR_CHART_2("eva-bar-chart-2", '\ue93b'),
    BAR_CHART_2_OUTLINE("eva-bar-chart-2-outline", '\ue93a'),
    BAR_CHART_OUTLINE("eva-bar-chart-outline", '\ue93c'),
    BATTERY("eva-battery", '\ue93f'),
    BATTERY_OUTLINE("eva-battery-outline", '\ue93e'),
    BEHANCE("eva-behance", '\ue941'),
    BEHANCE_OUTLINE("eva-behance-outline", '\ue940'),
    BELL("eva-bell", '\ue945'),
    BELL_OFF("eva-bell-off", '\ue943'),
    BELL_OFF_OUTLINE("eva-bell-off-outline", '\ue942'),
    BELL_OUTLINE("eva-bell-outline", '\ue944'),
    BLUETOOTH("eva-bluetooth", '\ue947'),
    BLUETOOTH_OUTLINE("eva-bluetooth-outline", '\ue946'),
    BOOK("eva-book", '\ue94b'),
    BOOKMARK("eva-bookmark", '\ue94d'),
    BOOKMARK_OUTLINE("eva-bookmark-outline", '\ue94c'),
    BOOK_OPEN("eva-book-open", '\ue949'),
    BOOK_OPEN_OUTLINE("eva-book-open-outline", '\ue948'),
    BOOK_OUTLINE("eva-book-outline", '\ue94a'),
    BRIEFCASE("eva-briefcase", '\ue94f'),
    BRIEFCASE_OUTLINE("eva-briefcase-outline", '\ue94e'),
    BROWSER("eva-browser", '\ue951'),
    BROWSER_OUTLINE("eva-browser-outline", '\ue950'),
    BRUSH("eva-brush", '\ue953'),
    BRUSH_OUTLINE("eva-brush-outline", '\ue952'),
    BULB("eva-bulb", '\ue955'),
    BULB_OUTLINE("eva-bulb-outline", '\ue954'),
    CALENDAR("eva-calendar", '\ue957'),
    CALENDAR_OUTLINE("eva-calendar-outline", '\ue956'),
    CAMERA("eva-camera", '\ue959'),
    CAMERA_OUTLINE("eva-camera-outline", '\ue958'),
    CAR("eva-car", '\ue95b'),
    CAR_OUTLINE("eva-car-outline", '\ue95a'),
    CAST("eva-cast", '\ue95d'),
    CAST_OUTLINE("eva-cast-outline", '\ue95c'),
    CHARGING("eva-charging", '\ue95f'),
    CHARGING_OUTLINE("eva-charging-outline", '\ue95e'),
    CHECKMARK("eva-checkmark", '\ue969'),
    CHECKMARK_CIRCLE("eva-checkmark-circle", '\ue963'),
    CHECKMARK_CIRCLE_2("eva-checkmark-circle-2", '\ue961'),
    CHECKMARK_CIRCLE_2_OUTLINE("eva-checkmark-circle-2-outline", '\ue960'),
    CHECKMARK_CIRCLE_OUTLINE("eva-checkmark-circle-outline", '\ue962'),
    CHECKMARK_OUTLINE("eva-checkmark-outline", '\ue964'),
    CHECKMARK_SQUARE("eva-checkmark-square", '\ue968'),
    CHECKMARK_SQUARE_2("eva-checkmark-square-2", '\ue966'),
    CHECKMARK_SQUARE_2_OUTLINE("eva-checkmark-square-2-outline", '\ue965'),
    CHECKMARK_SQUARE_OUTLINE("eva-checkmark-square-outline", '\ue967'),
    CHEVRON_DOWN("eva-chevron-down", '\ue96b'),
    CHEVRON_DOWN_OUTLINE("eva-chevron-down-outline", '\ue96a'),
    CHEVRON_LEFT("eva-chevron-left", '\ue96d'),
    CHEVRON_LEFT_OUTLINE("eva-chevron-left-outline", '\ue96c'),
    CHEVRON_RIGHT("eva-chevron-right", '\ue96f'),
    CHEVRON_RIGHT_OUTLINE("eva-chevron-right-outline", '\ue96e'),
    CHEVRON_UP("eva-chevron-up", '\ue971'),
    CHEVRON_UP_OUTLINE("eva-chevron-up-outline", '\ue970'),
    CLIPBOARD("eva-clipboard", '\ue973'),
    CLIPBOARD_OUTLINE("eva-clipboard-outline", '\ue972'),
    CLOCK("eva-clock", '\ue975'),
    CLOCK_OUTLINE("eva-clock-outline", '\ue974'),
    CLOSE("eva-close", '\ue97b'),
    CLOSE_CIRCLE("eva-close-circle", '\ue977'),
    CLOSE_CIRCLE_OUTLINE("eva-close-circle-outline", '\ue976'),
    CLOSE_OUTLINE("eva-close-outline", '\ue978'),
    CLOSE_SQUARE("eva-close-square", '\ue97a'),
    CLOSE_SQUARE_OUTLINE("eva-close-square-outline", '\ue979'),
    CLOUD_DOWNLOAD("eva-cloud-download", '\ue97d'),
    CLOUD_DOWNLOAD_OUTLINE("eva-cloud-download-outline", '\ue97c'),
    CLOUD_UPLOAD("eva-cloud-upload", '\ue97f'),
    CLOUD_UPLOAD_OUTLINE("eva-cloud-upload-outline", '\ue97e'),
    CODE("eva-code", '\ue983'),
    CODE_DOWNLOAD("eva-code-download", '\ue981'),
    CODE_DOWNLOAD_OUTLINE("eva-code-download-outline", '\ue980'),
    CODE_OUTLINE("eva-code-outline", '\ue982'),
    COLLAPSE("eva-collapse", '\ue985'),
    COLLAPSE_OUTLINE("eva-collapse-outline", '\ue984'),
    COLOR_PALETTE("eva-color-palette", '\ue987'),
    COLOR_PALETTE_OUTLINE("eva-color-palette-outline", '\ue986'),
    COLOR_PICKER("eva-color-picker", '\ue989'),
    COLOR_PICKER_OUTLINE("eva-color-picker-outline", '\ue988'),
    COMPASS("eva-compass", '\ue98b'),
    COMPASS_OUTLINE("eva-compass-outline", '\ue98a'),
    COPY("eva-copy", '\ue98d'),
    COPY_OUTLINE("eva-copy-outline", '\ue98c'),
    CORNER_DOWN_LEFT("eva-corner-down-left", '\ue98f'),
    CORNER_DOWN_LEFT_OUTLINE("eva-corner-down-left-outline", '\ue98e'),
    CORNER_DOWN_RIGHT("eva-corner-down-right", '\ue991'),
    CORNER_DOWN_RIGHT_OUTLINE("eva-corner-down-right-outline", '\ue990'),
    CORNER_LEFT_DOWN("eva-corner-left-down", '\ue993'),
    CORNER_LEFT_DOWN_OUTLINE("eva-corner-left-down-outline", '\ue992'),
    CORNER_LEFT_UP("eva-corner-left-up", '\ue995'),
    CORNER_LEFT_UP_OUTLINE("eva-corner-left-up-outline", '\ue994'),
    CORNER_RIGHT_DOWN("eva-corner-right-down", '\ue997'),
    CORNER_RIGHT_DOWN_OUTLINE("eva-corner-right-down-outline", '\ue996'),
    CORNER_RIGHT_UP("eva-corner-right-up", '\ue999'),
    CORNER_RIGHT_UP_OUTLINE("eva-corner-right-up-outline", '\ue998'),
    CORNER_UP_LEFT("eva-corner-up-left", '\ue99b'),
    CORNER_UP_LEFT_OUTLINE("eva-corner-up-left-outline", '\ue99a'),
    CORNER_UP_RIGHT("eva-corner-up-right", '\ue99d'),
    CORNER_UP_RIGHT_OUTLINE("eva-corner-up-right-outline", '\ue99c'),
    CREDIT_CARD("eva-credit-card", '\ue99f'),
    CREDIT_CARD_OUTLINE("eva-credit-card-outline", '\ue99e'),
    CROP("eva-crop", '\ue9a1'),
    CROP_OUTLINE("eva-crop-outline", '\ue9a0'),
    CUBE("eva-cube", '\ue9a3'),
    CUBE_OUTLINE("eva-cube-outline", '\ue9a2'),
    DIAGONAL_ARROW_LEFT_DOWN("eva-diagonal-arrow-left-down", '\ue9a5'),
    DIAGONAL_ARROW_LEFT_DOWN_OUTLINE("eva-diagonal-arrow-left-down-outline", '\ue9a4'),
    DIAGONAL_ARROW_LEFT_UP("eva-diagonal-arrow-left-up", '\ue9a7'),
    DIAGONAL_ARROW_LEFT_UP_OUTLINE("eva-diagonal-arrow-left-up-outline", '\ue9a6'),
    DIAGONAL_ARROW_RIGHT_DOWN("eva-diagonal-arrow-right-down", '\ue9a9'),
    DIAGONAL_ARROW_RIGHT_DOWN_OUTLINE("eva-diagonal-arrow-right-down-outline", '\ue9a8'),
    DIAGONAL_ARROW_RIGHT_UP("eva-diagonal-arrow-right-up", '\ue9ab'),
    DIAGONAL_ARROW_RIGHT_UP_OUTLINE("eva-diagonal-arrow-right-up-outline", '\ue9aa'),
    DONE_ALL("eva-done-all", '\ue9ad'),
    DONE_ALL_OUTLINE("eva-done-all-outline", '\ue9ac'),
    DOWNLOAD("eva-download", '\ue9af'),
    DOWNLOAD_OUTLINE("eva-download-outline", '\ue9ae'),
    DROPLET("eva-droplet", '\ue9b3'),
    DROPLET_OFF("eva-droplet-off", '\ue9b1'),
    DROPLET_OFF_OUTLINE("eva-droplet-off-outline", '\ue9b0'),
    DROPLET_OUTLINE("eva-droplet-outline", '\ue9b2'),
    EDIT("eva-edit", '\ue9b7'),
    EDIT_2("eva-edit-2", '\ue9b5'),
    EDIT_2_OUTLINE("eva-edit-2-outline", '\ue9b4'),
    EDIT_OUTLINE("eva-edit-outline", '\ue9b6'),
    EMAIL("eva-email", '\ue9b9'),
    EMAIL_OUTLINE("eva-email-outline", '\ue9b8'),
    EXPAND("eva-expand", '\ue9bb'),
    EXPAND_OUTLINE("eva-expand-outline", '\ue9ba'),
    EXTERNAL_LINK("eva-external-link", '\ue9bd'),
    EXTERNAL_LINK_OUTLINE("eva-external-link-outline", '\ue9bc'),
    EYE("eva-eye", '\ue9c3'),
    EYE_OFF("eva-eye-off", '\ue9c1'),
    EYE_OFF_2("eva-eye-off-2", '\ue9bf'),
    EYE_OFF_2_OUTLINE("eva-eye-off-2-outline", '\ue9be'),
    EYE_OFF_OUTLINE("eva-eye-off-outline", '\ue9c0'),
    EYE_OUTLINE("eva-eye-outline", '\ue9c2'),
    FACEBOOK("eva-facebook", '\ue9c5'),
    FACEBOOK_OUTLINE("eva-facebook-outline", '\ue9c4'),
    FILE("eva-file", '\ue9cd'),
    FILE_ADD("eva-file-add", '\ue9c7'),
    FILE_ADD_OUTLINE("eva-file-add-outline", '\ue9c6'),
    FILE_OUTLINE("eva-file-outline", '\ue9c8'),
    FILE_REMOVE("eva-file-remove", '\ue9ca'),
    FILE_REMOVE_OUTLINE("eva-file-remove-outline", '\ue9c9'),
    FILE_TEXT("eva-file-text", '\ue9cc'),
    FILE_TEXT_OUTLINE("eva-file-text-outline", '\ue9cb'),
    FILM("eva-film", '\ue9cf'),
    FILM_OUTLINE("eva-film-outline", '\ue9ce'),
    FLAG("eva-flag", '\ue9d1'),
    FLAG_OUTLINE("eva-flag-outline", '\ue9d0'),
    FLASH("eva-flash", '\ue9d5'),
    FLASH_OFF("eva-flash-off", '\ue9d3'),
    FLASH_OFF_OUTLINE("eva-flash-off-outline", '\ue9d2'),
    FLASH_OUTLINE("eva-flash-outline", '\ue9d4'),
    FLIP("eva-flip", '\ue9d9'),
    FLIP_2("eva-flip-2", '\ue9d7'),
    FLIP_2_OUTLINE("eva-flip-2-outline", '\ue9d6'),
    FLIP_OUTLINE("eva-flip-outline", '\ue9d8'),
    FOLDER("eva-folder", '\ue9df'),
    FOLDER_ADD("eva-folder-add", '\ue9db'),
    FOLDER_ADD_OUTLINE("eva-folder-add-outline", '\ue9da'),
    FOLDER_OUTLINE("eva-folder-outline", '\ue9dc'),
    FOLDER_REMOVE("eva-folder-remove", '\ue9de'),
    FOLDER_REMOVE_OUTLINE("eva-folder-remove-outline", '\ue9dd'),
    FUNNEL("eva-funnel", '\ue9e1'),
    FUNNEL_OUTLINE("eva-funnel-outline", '\ue9e0'),
    GIFT("eva-gift", '\ue9e3'),
    GIFT_OUTLINE("eva-gift-outline", '\ue9e2'),
    GITHUB("eva-github", '\ue9e5'),
    GITHUB_OUTLINE("eva-github-outline", '\ue9e4'),
    GLOBE("eva-globe", '\ue9ea'),
    GLOBE_2("eva-globe-2", '\ue9e7'),
    GLOBE_2_OUTLINE("eva-globe-2-outline", '\ue9e6'),
    GLOBE_3("eva-globe-3", '\ue9e8'),
    GLOBE_OUTLINE("eva-globe-outline", '\ue9e9'),
    GOOGLE("eva-google", '\ue9ec'),
    GOOGLE_OUTLINE("eva-google-outline", '\ue9eb'),
    GRID("eva-grid", '\ue9ee'),
    GRID_OUTLINE("eva-grid-outline", '\ue9ed'),
    HARD_DRIVE("eva-hard-drive", '\ue9f0'),
    HARD_DRIVE_OUTLINE("eva-hard-drive-outline", '\ue9ef'),
    HASH("eva-hash", '\ue9f2'),
    HASH_OUTLINE("eva-hash-outline", '\ue9f1'),
    HEADPHONES("eva-headphones", '\ue9f4'),
    HEADPHONES_OUTLINE("eva-headphones-outline", '\ue9f3'),
    HEART("eva-heart", '\ue9f6'),
    HEART_OUTLINE("eva-heart-outline", '\ue9f5'),
    HOME("eva-home", '\ue9f8'),
    HOME_OUTLINE("eva-home-outline", '\ue9f7'),
    IMAGE("eva-image", '\ue9fb'),
    IMAGE_2("eva-image-2", '\ue9f9'),
    IMAGE_OUTLINE("eva-image-outline", '\ue9fa'),
    INBOX("eva-inbox", '\ue9fd'),
    INBOX_OUTLINE("eva-inbox-outline", '\ue9fc'),
    INFO("eva-info", '\ue9ff'),
    INFO_OUTLINE("eva-info-outline", '\ue9fe'),
    KEYPAD("eva-keypad", '\uea01'),
    KEYPAD_OUTLINE("eva-keypad-outline", '\uea00'),
    LAYERS("eva-layers", '\uea03'),
    LAYERS_OUTLINE("eva-layers-outline", '\uea02'),
    LAYOUT("eva-layout", '\uea05'),
    LAYOUT_OUTLINE("eva-layout-outline", '\uea04'),
    LINK("eva-link", '\uea09'),
    LINKEDIN("eva-linkedin", '\uea0b'),
    LINKEDIN_OUTLINE("eva-linkedin-outline", '\uea0a'),
    LINK_2("eva-link-2", '\uea07'),
    LINK_2_OUTLINE("eva-link-2-outline", '\uea06'),
    LINK_OUTLINE("eva-link-outline", '\uea08'),
    LIST("eva-list", '\uea0d'),
    LIST_OUTLINE("eva-list-outline", '\uea0c'),
    LOADER_OUTLINE("eva-loader-outline", '\uea0e'),
    LOCK("eva-lock", '\uea10'),
    LOCK_OUTLINE("eva-lock-outline", '\uea0f'),
    LOG_IN("eva-log-in", '\uea12'),
    LOG_IN_OUTLINE("eva-log-in-outline", '\uea11'),
    LOG_OUT("eva-log-out", '\uea14'),
    LOG_OUT_OUTLINE("eva-log-out-outline", '\uea13'),
    MAP("eva-map", '\uea16'),
    MAP_OUTLINE("eva-map-outline", '\uea15'),
    MAXIMIZE("eva-maximize", '\uea18'),
    MAXIMIZE_OUTLINE("eva-maximize-outline", '\uea17'),
    MENU("eva-menu", '\uea1e'),
    MENU_2("eva-menu-2", '\uea1a'),
    MENU_2_OUTLINE("eva-menu-2-outline", '\uea19'),
    MENU_ARROW("eva-menu-arrow", '\uea1c'),
    MENU_ARROW_OUTLINE("eva-menu-arrow-outline", '\uea1b'),
    MENU_OUTLINE("eva-menu-outline", '\uea1d'),
    MESSAGE_CIRCLE("eva-message-circle", '\uea20'),
    MESSAGE_CIRCLE_OUTLINE("eva-message-circle-outline", '\uea1f'),
    MESSAGE_SQUARE("eva-message-square", '\uea22'),
    MESSAGE_SQUARE_OUTLINE("eva-message-square-outline", '\uea21'),
    MIC("eva-mic", '\uea26'),
    MIC_OFF("eva-mic-off", '\uea24'),
    MIC_OFF_OUTLINE("eva-mic-off-outline", '\uea23'),
    MIC_OUTLINE("eva-mic-outline", '\uea25'),
    MINIMIZE("eva-minimize", '\uea28'),
    MINIMIZE_OUTLINE("eva-minimize-outline", '\uea27'),
    MINUS("eva-minus", '\uea2e'),
    MINUS_CIRCLE("eva-minus-circle", '\uea2a'),
    MINUS_CIRCLE_OUTLINE("eva-minus-circle-outline", '\uea29'),
    MINUS_OUTLINE("eva-minus-outline", '\uea2b'),
    MINUS_SQUARE("eva-minus-square", '\uea2d'),
    MINUS_SQUARE_OUTLINE("eva-minus-square-outline", '\uea2c'),
    MONITOR("eva-monitor", '\uea30'),
    MONITOR_OUTLINE("eva-monitor-outline", '\uea2f'),
    MOON("eva-moon", '\uea32'),
    MOON_OUTLINE("eva-moon-outline", '\uea31'),
    MORE_HORIZONTAL("eva-more-horizontal", '\uea34'),
    MORE_HORIZONTAL_OUTLINE("eva-more-horizontal-outline", '\uea33'),
    MORE_VERTICAL("eva-more-vertical", '\uea36'),
    MORE_VERTICAL_OUTLINE("eva-more-vertical-outline", '\uea35'),
    MOVE("eva-move", '\uea38'),
    MOVE_OUTLINE("eva-move-outline", '\uea37'),
    MUSIC("eva-music", '\uea3a'),
    MUSIC_OUTLINE("eva-music-outline", '\uea39'),
    NAVIGATION("eva-navigation", '\uea3e'),
    NAVIGATION_2("eva-navigation-2", '\uea3c'),
    NAVIGATION_2_OUTLINE("eva-navigation-2-outline", '\uea3b'),
    NAVIGATION_OUTLINE("eva-navigation-outline", '\uea3d'),
    NPM("eva-npm", '\uea40'),
    NPM_OUTLINE("eva-npm-outline", '\uea3f'),
    OPTIONS("eva-options", '\uea44'),
    OPTIONS_2("eva-options-2", '\uea42'),
    OPTIONS_2_OUTLINE("eva-options-2-outline", '\uea41'),
    OPTIONS_OUTLINE("eva-options-outline", '\uea43'),
    PANTONE("eva-pantone", '\uea46'),
    PANTONE_OUTLINE("eva-pantone-outline", '\uea45'),
    PAPER_PLANE("eva-paper-plane", '\uea48'),
    PAPER_PLANE_OUTLINE("eva-paper-plane-outline", '\uea47'),
    PAUSE_CIRCLE("eva-pause-circle", '\uea4a'),
    PAUSE_CIRCLE_OUTLINE("eva-pause-circle-outline", '\uea49'),
    PEOPLE("eva-people", '\uea4c'),
    PEOPLE_OUTLINE("eva-people-outline", '\uea4b'),
    PERCENT("eva-percent", '\uea4e'),
    PERCENT_OUTLINE("eva-percent-outline", '\uea4d'),
    PERSON("eva-person", '\uea58'),
    PERSON_ADD("eva-person-add", '\uea50'),
    PERSON_ADD_OUTLINE("eva-person-add-outline", '\uea4f'),
    PERSON_DELETE("eva-person-delete", '\uea52'),
    PERSON_DELETE_OUTLINE("eva-person-delete-outline", '\uea51'),
    PERSON_DONE("eva-person-done", '\uea54'),
    PERSON_DONE_OUTLINE("eva-person-done-outline", '\uea53'),
    PERSON_OUTLINE("eva-person-outline", '\uea55'),
    PERSON_REMOVE("eva-person-remove", '\uea57'),
    PERSON_REMOVE_OUTLINE("eva-person-remove-outline", '\uea56'),
    PHONE("eva-phone", '\uea60'),
    PHONE_CALL("eva-phone-call", '\uea5a'),
    PHONE_CALL_OUTLINE("eva-phone-call-outline", '\uea59'),
    PHONE_MISSED("eva-phone-missed", '\uea5c'),
    PHONE_MISSED_OUTLINE("eva-phone-missed-outline", '\uea5b'),
    PHONE_OFF("eva-phone-off", '\uea5e'),
    PHONE_OFF_OUTLINE("eva-phone-off-outline", '\uea5d'),
    PHONE_OUTLINE("eva-phone-outline", '\uea5f'),
    PIE_CHART("eva-pie-chart", '\uea63'),
    PIE_CHART_2("eva-pie-chart-2", '\uea61'),
    PIE_CHART_OUTLINE("eva-pie-chart-outline", '\uea62'),
    PIN("eva-pin", '\uea65'),
    PIN_OUTLINE("eva-pin-outline", '\uea64'),
    PLAY_CIRCLE("eva-play-circle", '\uea67'),
    PLAY_CIRCLE_OUTLINE("eva-play-circle-outline", '\uea66'),
    PLUS("eva-plus", '\uea6d'),
    PLUS_CIRCLE("eva-plus-circle", '\uea69'),
    PLUS_CIRCLE_OUTLINE("eva-plus-circle-outline", '\uea68'),
    PLUS_OUTLINE("eva-plus-outline", '\uea6a'),
    PLUS_SQUARE("eva-plus-square", '\uea6c'),
    PLUS_SQUARE_OUTLINE("eva-plus-square-outline", '\uea6b'),
    POWER("eva-power", '\uea6f'),
    POWER_OUTLINE("eva-power-outline", '\uea6e'),
    PRICETAGS("eva-pricetags", '\uea71'),
    PRICETAGS_OUTLINE("eva-pricetags-outline", '\uea70'),
    PRINTER("eva-printer", '\uea73'),
    PRINTER_OUTLINE("eva-printer-outline", '\uea72'),
    QUESTION_MARK("eva-question-mark", '\uea77'),
    QUESTION_MARK_CIRCLE("eva-question-mark-circle", '\uea75'),
    QUESTION_MARK_CIRCLE_OUTLINE("eva-question-mark-circle-outline", '\uea74'),
    QUESTION_MARK_OUTLINE("eva-question-mark-outline", '\uea76'),
    RADIO("eva-radio", '\uea7d'),
    RADIO_BUTTON_OFF("eva-radio-button-off", '\uea79'),
    RADIO_BUTTON_OFF_OUTLINE("eva-radio-button-off-outline", '\uea78'),
    RADIO_BUTTON_ON("eva-radio-button-on", '\uea7b'),
    RADIO_BUTTON_ON_OUTLINE("eva-radio-button-on-outline", '\uea7a'),
    RADIO_OUTLINE("eva-radio-outline", '\uea7c'),
    RECORDING("eva-recording", '\uea7f'),
    RECORDING_OUTLINE("eva-recording-outline", '\uea7e'),
    REFRESH("eva-refresh", '\uea81'),
    REFRESH_OUTLINE("eva-refresh-outline", '\uea80'),
    REPEAT("eva-repeat", '\uea83'),
    REPEAT_OUTLINE("eva-repeat-outline", '\uea82'),
    REWIND_LEFT("eva-rewind-left", '\uea85'),
    REWIND_LEFT_OUTLINE("eva-rewind-left-outline", '\uea84'),
    REWIND_RIGHT("eva-rewind-right", '\uea87'),
    REWIND_RIGHT_OUTLINE("eva-rewind-right-outline", '\uea86'),
    SAVE("eva-save", '\uea89'),
    SAVE_OUTLINE("eva-save-outline", '\uea88'),
    SCISSORS("eva-scissors", '\uea8b'),
    SCISSORS_OUTLINE("eva-scissors-outline", '\uea8a'),
    SEARCH("eva-search", '\uea8d'),
    SEARCH_OUTLINE("eva-search-outline", '\uea8c'),
    SETTINGS("eva-settings", '\uea91'),
    SETTINGS_2("eva-settings-2", '\uea8f'),
    SETTINGS_2_OUTLINE("eva-settings-2-outline", '\uea8e'),
    SETTINGS_OUTLINE("eva-settings-outline", '\uea90'),
    SHAKE("eva-shake", '\uea93'),
    SHAKE_OUTLINE("eva-shake-outline", '\uea92'),
    SHARE("eva-share", '\uea95'),
    SHARE_OUTLINE("eva-share-outline", '\uea94'),
    SHIELD("eva-shield", '\uea99'),
    SHIELD_OFF("eva-shield-off", '\uea97'),
    SHIELD_OFF_OUTLINE("eva-shield-off-outline", '\uea96'),
    SHIELD_OUTLINE("eva-shield-outline", '\uea98'),
    SHOPPING_BAG("eva-shopping-bag", '\uea9b'),
    SHOPPING_BAG_OUTLINE("eva-shopping-bag-outline", '\uea9a'),
    SHOPPING_CART("eva-shopping-cart", '\uea9d'),
    SHOPPING_CART_OUTLINE("eva-shopping-cart-outline", '\uea9c'),
    SHUFFLE("eva-shuffle", '\ueaa1'),
    SHUFFLE_2("eva-shuffle-2", '\uea9f'),
    SHUFFLE_2_OUTLINE("eva-shuffle-2-outline", '\uea9e'),
    SHUFFLE_OUTLINE("eva-shuffle-outline", '\ueaa0'),
    SKIP_BACK("eva-skip-back", '\ueaa3'),
    SKIP_BACK_OUTLINE("eva-skip-back-outline", '\ueaa2'),
    SKIP_FORWARD("eva-skip-forward", '\ueaa5'),
    SKIP_FORWARD_OUTLINE("eva-skip-forward-outline", '\ueaa4'),
    SLASH("eva-slash", '\ueaa7'),
    SLASH_OUTLINE("eva-slash-outline", '\ueaa6'),
    SMARTPHONE("eva-smartphone", '\ueaa9'),
    SMARTPHONE_OUTLINE("eva-smartphone-outline", '\ueaa8'),
    SMILING_FACE("eva-smiling-face", '\ueaab'),
    SMILING_FACE_OUTLINE("eva-smiling-face-outline", '\ueaaa'),
    SPEAKER("eva-speaker", '\ueaad'),
    SPEAKER_OUTLINE("eva-speaker-outline", '\ueaac'),
    SQUARE("eva-square", '\ueaaf'),
    SQUARE_OUTLINE("eva-square-outline", '\ueaae'),
    STAR("eva-star", '\ueab1'),
    STAR_OUTLINE("eva-star-outline", '\ueab0'),
    STOP_CIRCLE("eva-stop-circle", '\ueab3'),
    STOP_CIRCLE_OUTLINE("eva-stop-circle-outline", '\ueab2'),
    SUN("eva-sun", '\ueab5'),
    SUN_OUTLINE("eva-sun-outline", '\ueab4'),
    SWAP("eva-swap", '\ueab7'),
    SWAP_OUTLINE("eva-swap-outline", '\ueab6'),
    SYNC("eva-sync", '\ueab9'),
    SYNC_OUTLINE("eva-sync-outline", '\ueab8'),
    TEXT("eva-text", '\ueabb'),
    TEXT_OUTLINE("eva-text-outline", '\ueaba'),
    THERMOMETER("eva-thermometer", '\ueac1'),
    THERMOMETER_MINUS("eva-thermometer-minus", '\ueabd'),
    THERMOMETER_MINUS_OUTLINE("eva-thermometer-minus-outline", '\ueabc'),
    THERMOMETER_OUTLINE("eva-thermometer-outline", '\ueabe'),
    THERMOMETER_PLUS("eva-thermometer-plus", '\ueac0'),
    THERMOMETER_PLUS_OUTLINE("eva-thermometer-plus-outline", '\ueabf'),
    TOGGLE_LEFT("eva-toggle-left", '\ueac3'),
    TOGGLE_LEFT_OUTLINE("eva-toggle-left-outline", '\ueac2'),
    TOGGLE_RIGHT("eva-toggle-right", '\ueac5'),
    TOGGLE_RIGHT_OUTLINE("eva-toggle-right-outline", '\ueac4'),
    TRASH("eva-trash", '\ueac9'),
    TRASH_2("eva-trash-2", '\ueac7'),
    TRASH_2_OUTLINE("eva-trash-2-outline", '\ueac6'),
    TRASH_OUTLINE("eva-trash-outline", '\ueac8'),
    TRENDING_DOWN("eva-trending-down", '\ueacb'),
    TRENDING_DOWN_OUTLINE("eva-trending-down-outline", '\ueaca'),
    TRENDING_UP("eva-trending-up", '\ueacd'),
    TRENDING_UP_OUTLINE("eva-trending-up-outline", '\ueacc'),
    TV("eva-tv", '\ueacf'),
    TV_OUTLINE("eva-tv-outline", '\ueace'),
    TWITTER("eva-twitter", '\uead1'),
    TWITTER_OUTLINE("eva-twitter-outline", '\uead0'),
    UMBRELLA("eva-umbrella", '\uead3'),
    UMBRELLA_OUTLINE("eva-umbrella-outline", '\uead2'),
    UNDO("eva-undo", '\uead5'),
    UNDO_OUTLINE("eva-undo-outline", '\uead4'),
    UNLOCK("eva-unlock", '\uead7'),
    UNLOCK_OUTLINE("eva-unlock-outline", '\uead6'),
    UPLOAD("eva-upload", '\uead9'),
    UPLOAD_OUTLINE("eva-upload-outline", '\uead8'),
    VIDEO("eva-video", '\ueadd'),
    VIDEO_OFF("eva-video-off", '\ueadb'),
    VIDEO_OFF_OUTLINE("eva-video-off-outline", '\ueada'),
    VIDEO_OUTLINE("eva-video-outline", '\ueadc'),
    VOLUME_DOWN("eva-volume-down", '\ueadf'),
    VOLUME_DOWN_OUTLINE("eva-volume-down-outline", '\ueade'),
    VOLUME_MUTE("eva-volume-mute", '\ueae1'),
    VOLUME_MUTE_OUTLINE("eva-volume-mute-outline", '\ueae0'),
    VOLUME_OFF("eva-volume-off", '\ueae3'),
    VOLUME_OFF_OUTLINE("eva-volume-off-outline", '\ueae2'),
    VOLUME_UP("eva-volume-up", '\ueae5'),
    VOLUME_UP_OUTLINE("eva-volume-up-outline", '\ueae4'),
    WIFI("eva-wifi", '\ueae9'),
    WIFI_OFF("eva-wifi-off", '\ueae7'),
    WIFI_OFF_OUTLINE("eva-wifi-off-outline", '\ueae6'),
    WIFI_OUTLINE("eva-wifi-outline", '\ueae8');

    public static Evaicons findByDescription(String description) {
        for (Evaicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    Evaicons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}